# List Events

List events, going back up to 30 days.

## Request

```curl
curl -G https://api.stripe.com/v2/core/events \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-07-29.dahlia" \
  -d object_id=mtr_test_61RCjiqdTDC91zgip41IqPCzPnxqqSVc
```

### Response

```json
{
  "data": [
    {
      "id": "evt_test_65RCjj4EqW1sabcjs2Z16RCMoNQdSQkOWvfL6L5uU2K40u",
      "object": "v2.core.event",
      "context": null,
      "created": "2024-09-26T17:46:22.134Z",
      "data": {
        "developer_message_summary": "There is 1 invalid event",
        "reason": {
          "error_count": 1,
          "error_types": [
            {
              "code": "meter_event_no_customer_defined",
              "error_count": 1,
              "sample_errors": [
                {
                  "error_message": "Customer mapping key stripe_customer_id not found in payload.",
                  "request": {
                    "identifier": "cb447754-6880-45c2-8f2f-ef19b6ce81e9"
                  }
                }
              ]
            }
          ]
        },
        "validation_end": "2024-09-26T17:46:20.000Z",
        "validation_start": "2024-09-26T17:46:10.000Z"
      },
      "livemode": false,
      "reason": null,
      "related_object": {
        "id": "mtr_test_61RCjiqdTDC91zgip41IqPCzPnxqqSVc",
        "type": "billing.meter",
        "url": "/v1/billing/meters/mtr_test_61RCjiqdTDC91zgip41IqPCzPnxqqSVc"
      },
      "type": "v1.billing.meter.error_report_triggered"
    }
  ],
  "next_page_url": null,
  "previous_page_url": null
}
```

## Parameters

- [`created`](https://docs.stripe.com/api/v2/core/events/list.md?query=created) (object, optional)
  Set of filters to query events within a range of `created` timestamps.

- `limit` (integer, optional)
  The page size.

- `object_id` (string, optional)
  Primary object ID used to retrieve related events.

- `page` (string, optional)
  The requested page.

- `types` (array of strings, optional)
  An array of up to 20 strings containing specific event names.

## Returns

## Response attributes

- [`data`](https://docs.stripe.com/api/v2/core/events/list.md?query=data) (array of objects)
  List of events.

- `next_page_url` (string, nullable)
  URL to fetch the next page of the list. If there are no more pages, the value is null.

- `previous_page_url` (string, nullable)
  URL to fetch the previous page of the list. If there are no previous pages, the value is null.
